new;
library Qreg,pgraph;
setQreg;

__output = 0;

N = 5000;
X = rndu(n, 1);
Y = rndu(rows(x),1) .* (cos(2*pi*X-pi)+1);
tau = 0.95;
P = 50;
xstar = seqa(0,1/(p-1),P);

_Qreg_mtd = 1;
q1 = localQreg(Y,X,tau,xstar);
_Qreg_mtd = 2;
q2 = localQreg(Y,X,tau,xstar);
q = q1~q2;

graphset;
  begwind;
  makewind(9,6.855,0,0,1);
  makewind(9,6.855,0,0,1);

  setwind(1);
    _pdate = 0; _pframe = 0; _pnum = 2;
    _plctrl  = 0|5|5; _pltype  = 3|6|6; _plwidth = 5;
    _pstype = 8|8|9; 
    xlabel("\214X"); ylabel("\214Y");
    ytics(0,2,0.5,1);
    xtics(0,1,0.2,1);
    _plegstr = "True quantiles\000Local linear regression\000Local quadratic regression";
    _plegctl = {2 4 6 5};
    xy(xstar,tau*(cos(2*pi*xstar-pi)+1)~q);

    _plegctl = 0;
	  
  setwind(2);  
    _plctrl  = -1; _pstype  = 3; _psymsiz = 0.2;
    xy(X,Y);

    graphprt("-c=1 -cf=qreg3.ps");

  endwind;

